API Referansı

SEO Boost Hub uç noktalarını kullanarak lokasyon, anahtar kelime, içerik ve içgörü verilerini öngörülebilir REST kalıplarıyla yönetin.

Temel URL https://seoboosthub.com/api/v1

Lokasyonlar

GET /api/v1/locations
GET /api/v1/locations/{id}
POST /api/v1/locations
PATCH /api/v1/locations/{id}

Anahtar Kelimeler

GET /api/v1/locations/{id}/keywords
POST /api/v1/locations/{id}/keywords
DELETE /api/v1/keywords/{id}

Sıralama Taramaları

GET /api/v1/keywords/{id}/scans

İçerik Gönderileri

GET /api/v1/locations/{id}/posts
POST /api/v1/locations/{id}/posts

İçgörüler

GET /api/v1/locations/{id}/insights

Örnek

Aşağıda lokasyonları listeleme için örnek bir istek ve yanıt bulunmaktadır.

Örnek İstek
curl -X GET https://seoboosthub.com/api/api/v1/locations \
  -H "Authorization: Bearer sbh_live_abc123def456ghi789" \
  -H "Accept: application/json"
Örnek Yanıt 200 OK
{
  "data": [
    {
      "id": "loc_01hx7a9b2c",
      "name": "Downtown Coffee Shop",
      "address": "123 Main St, Berlin",
      "city": "Berlin",
      "country": "DE",
      "rank_score": 72,
      "status": "active",
      "keywords_count": 12,
      "last_scan_at": "2025-11-28T08:00:00Z",
      "created_at": "2025-01-15T10:30:00Z"
    }
  ],
  "meta": {
    "current_page": 1,
    "per_page": 15,
    "total": 1
  }
}